Skip to content
Start here

Batch delete origin cloud region mappings

cache.origin_cloud_regions.bulk_delete(OriginCloudRegionBulkDeleteParams**kwargs) -> OriginCloudRegionBulkDeleteResponse
DELETE/zones/{zone_id}/cache/origin_cloud_regions/batch

Removes up to 100 IP-to-cloud-region mappings in a single request. Each IP is validated independently — successfully deleted items are returned in the succeeded array and IPs that could not be found or are invalid are returned in the failed array.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class OriginCloudRegionBulkDeleteResponse:

Response result for a batch origin cloud region operation.

id: Literal["origin_public_cloud_region"]
editable: bool

Whether the setting can be modified by the current user.

value: Value
failed: List[ValueFailed]

Items that could not be applied, with error details.

origin_ip: str

The origin IP address for this item.

error: Optional[str]

Error message explaining why the item failed. Present only on failed items.

region: Optional[str]

Cloud vendor region identifier. Present on succeeded items for patch operations.

vendor: Optional[str]

Cloud vendor identifier. Present on succeeded items for patch operations.

succeeded: List[ValueSucceeded]

Items that were successfully applied.

origin_ip: str

The origin IP address for this item.

error: Optional[str]

Error message explaining why the item failed. Present only on failed items.

region: Optional[str]

Cloud vendor region identifier. Present on succeeded items for patch operations.

vendor: Optional[str]

Cloud vendor identifier. Present on succeeded items for patch operations.

modified_on: Optional[datetime]

Time the mapping set was last modified. Null when no items were successfully applied.

formatdate-time

Batch delete origin cloud region mappings

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.cache.origin_cloud_regions.bulk_delete(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.id)
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "failed": [],
      "succeeded": [
        {
          "origin-ip": "192.0.2.1",
          "region": "us-east-1",
          "vendor": "aws"
        },
        {
          "origin-ip": "2001:db8::1",
          "region": "us-central1",
          "vendor": "gcp"
        }
      ]
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1141,
      "message": "Unable to delete origin_public_cloud_region setting. Internal error."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "failed": [],
      "succeeded": [
        {
          "origin-ip": "192.0.2.1",
          "region": "us-east-1",
          "vendor": "aws"
        },
        {
          "origin-ip": "2001:db8::1",
          "region": "us-central1",
          "vendor": "gcp"
        }
      ]
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1141,
      "message": "Unable to delete origin_public_cloud_region setting. Internal error."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}